﻿using System;
using System.Windows.Forms;
using Sharpex2D;
using Sharpex2D.Framework.Rendering;
using Sharpex2D.Framework.Surface;

namespace FlyingBird
{
    static class Program
    {
        /// <summary>
        /// Der Haupteinstiegspunkt für die Anwendung.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            var renderTarget = RenderTarget.Create();
            renderTarget.Window.Icon = System.Drawing.Icon.ExtractAssociatedIcon(Application.ExecutablePath);
            renderTarget.Window.Title = "Flying Bird";
            renderTarget.Window.CursorVisibility = true;
            renderTarget.Window.SurfaceLayout = new SurfaceLayout(true, false, true);

            SGL.Initialize();

            SGL.Components.Get<GraphicsDevice>().ClearColor = Color.FromArgb(255, 128, 197, 205);
        }
    }
}
